import CloudClient from './cloudClient.js';
export default class BuildHostRunstateChanger {
    private readonly _DEST_RUNSTATE_TO_CURRENT_RUNSTATE_MAP;
    private readonly cloudClient;
    private readonly environmentId;
    constructor(environmentId: string, cloudClient: CloudClient);
    changeRunstate(destRunstate: keyof typeof this._DEST_RUNSTATE_TO_CURRENT_RUNSTATE_MAP): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
    suspend(): Promise<void>;
}
